unit Euro;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Spin;

type
  TEurof = class(TForm)
    Button7: TButton;
    Button1: TButton;
    Panel1: TPanel;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button8: TButton;
    Button9: TButton;
    Button0: TButton;
    Button11: TButton;
    Button10: TButton;
    RadioGroup1: TRadioGroup;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    SpinButton1: TSpinButton;
    Edit3: TEdit;
    Panel2: TPanel;
    Panel3: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Button12: TButton;
    procedure Button10Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
    procedure Button0Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Init;
    procedure GetIni(var Rr:real;var Btnchk:integer);
    procedure SetIni(Rr: real;Btnchk:integer);
    procedure FormCreate(Sender: TObject);
    procedure Button12Click(Sender: TObject);
  private
    { Private-dclarations }
  public
    { Public-dclarations }
  end;

var
  Eurof: TEurof;

implementation

{$R *.DFM}
var N: longint;
    R: real;
    Flag: boolean;

procedure TEurof.Button10Click(Sender: TObject);
begin
  close;
end;

procedure TEurof.FormActivate(Sender: TObject);
begin
  Edit3.Text:=Floattostr(R/100000);
  Flag:=False;
  Button11.Setfocus;
end;

procedure TEuroF.GetIni(var Rr:real;var Btnchk:integer);
begin
  Rr:=R;
  If RadioButton2.Checked then BtnChk:=2;
  if RadioButton1.Checked then BtnChk:=1;
end;

procedure TEuroF.SetIni(Rr:real;Btnchk:integer);
begin
  R:=Rr;
  if R<100000 then R:=655957;
  If BtnChk=2 then RadioButton2.Checked:=true;
  if BtnChk=1 then RadioButton1.Checked:=true;
end;

procedure TEurof.FormKeyPress(Sender: TObject; var Key: Char);
var X: real;
    C: char;
begin
  C:= Key;
  if C=chr(27) then close;
  if C=chr(13) then
  begin
    Flag:=True;
    try
    X:=StrToFloat(Label1.Caption);
    if RadioButton1.checked then
    begin
       X:=X*100000/R;
       N:=round(X*100);
       Label2.Caption:=FloatToStr(N/100);
    end
    else
    begin
       X:=X*R/1000000;
       N:=round(X*100);
       Label2.Caption:=FloatToStr(N/10);
    end;
    exit;
    Except
    end;
  end;
  if Flag then
  begin
    Label1.Caption:='';
    Label2.Caption:='';
  end;
  Flag:=False;
  if C='.' then C:=',';
  case C of
    '1': Label1.Caption:=Label1.Caption+'1';
    '2': Label1.Caption:=Label1.Caption+'2';
    '3': Label1.Caption:=Label1.Caption+'3';
    '4': Label1.Caption:=Label1.Caption+'4';
    '5': Label1.Caption:=Label1.Caption+'5';
    '6': Label1.Caption:=Label1.Caption+'6';
    '7': Label1.Caption:=Label1.Caption+'7';
    '8': Label1.Caption:=Label1.Caption+'8';
    '9': Label1.Caption:=Label1.Caption+'9';
    '0': Label1.Caption:=Label1.Caption+'0';
    ',': Label1.Caption:=Label1.Caption+',';
  end;
end;

PRocedure TEurof.SpinButton1DownClick(Sender: TObject);
begin
  R:=R-1;
  IF R<1 then R:=1;
  Edit3.Text:=FloatToStr(R/100000);
end;

procedure TEurof.SpinButton1UpClick(Sender: TObject);
begin
  R:=R+1;
  Edit3.Text:=FloatToStr(R/100000);
end;

procedure Teurof.Init;
begin
  if Flag then
  begin
    Label1.Caption:='';
    Label2.Caption:='';
  end;
  Flag:=False;
end;

procedure TEurof.Button0Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'0';
end;

procedure TEurof.Button1Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'1';
end;

procedure TEurof.Button2Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'2';
end;

procedure TEurof.Button3Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'3';
end;

procedure TEurof.Button4Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'4';
end;

procedure TEurof.Button5Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'5';
end;

procedure TEurof.Button6Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'6';
end;

procedure TEurof.Button7Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'7';
end;

procedure TEurof.Button8Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'8';
end;

procedure TEurof.Button9Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+'9';
end;

procedure TEurof.Button11Click(Sender: TObject);
var C: char;
begin
  c:=chr(13);
  FormKeyPress(Sender,C);
end;

procedure TEurof.FormCreate(Sender: TObject);
begin
  R:=655957;
end;


procedure TEurof.Button12Click(Sender: TObject);
begin
  Init;
  Label1.Caption:=Label1.Caption+',';
end;

end.
